"use strict";

this.name    = "AI Trading with Yoda";
this.version = "1.0";

/* ====================================================================================
			MESSAGES DISPLAYED BY TRADING ASSISTANT

Each of the messages is an array of three items: message, summary, highlight.

message   - is the comms message to appear in the lower left of the screen.
summary   - is the one-word message that may appear at the bottom of the costs column
            and be read out by the text-to-speech function.
highlight - is the commodity type to be highlighted on the HUD.
(The highlight should normally be left empty "" for this group of messages.)

======================================================================================= */

this.startUp = function()
	{
	if (worldScripts["AI Trading Assistant"]
	 && worldScripts["AI Trading Assistant"].$fuelMessage)
		{
		worldScripts["AI Trading Assistant"].$fuelMessage = ["Trading Assistant", "Fuel we need.", "fuel"];
		}
	if (worldScripts["AI Autotrade"])
	  {
	  if (worldScripts["AI Autotrade"].$flummoxMessage)
		{
		worldScripts["AI Autotrade"].$flummoxMessage = ["See clearly I cannot. Decide for yourself, you must.", "Confused.", ""];
		}
	  if (worldScripts["AI Autotrade"].$noMoreMessage)
		{
		worldScripts["AI Autotrade"].$noMoreMessage = ["Recommend no more, can I.", "", ""];
		}
	  if (worldScripts["AI Autotrade"].$finishMessage)
		{
		worldScripts["AI Autotrade"].$finishMessage = ["Finished, we have.", "Finished.", ""];
		}
	  }
	delete this.startUp;
	}

/* ====================================================================================
			THE END
======================================================================================= */
